Subject: Bug#1357: [X2Go-Dev] Bug#1357: pyhoca 0.6.0.1 incompatible with x2goserver 4.1.0.3

From: Chris Greenshields <[email-masked]>
Date: Thu, 10 Jan 2019 14:24:59 +0000

Hi Mike,

I confirm that with the patch to x2goserver (4.1.0.4), pyhoca-cli
0.6.0.1 (which included the other patch) functions correctly.

This means that the x2go/stable repository contains a version of
x2goserver, i.e. 4.1.0.3, which is incompatible both with the version
of pyhoca-cli (0.6.0.1) in the same repository, and subsequent
versions (0.6.0.2) in the nightly repository.
https://launchpad.net/~x2go/+archive/ubuntu/stable?field.series_filter=bionic

I don't know when a version is deemed stable, but I wonder if it is
possible to release x2goserver 4.1.0.4 in the stable repository.

Thanks for clarifying the issue.

Chris

> [1  <text/plain (quoted-printable)>]
> Hi Chris,

> On  Mi 09 Jan 2019 22:19:24 CET, Chris Greenshields wrote:

>> + and, x2goserver 4.1.0.3, which does not include the patch you mentioned.

> Please manually add the patch I mentioned (or upgrade to X2Go Server
> from heuler for now).

> Then, pyhoca-cli should be able to launch sessions again.

> Please let me know if that works.
> Mike
> -- 

> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> mobile: +49 (1520) 1976 148
> landline: +49 (4354) 8390 139

> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
> mail: [email-masked], http://das-netzwerkteam.de

> [2 Digitale PGP-Signatur <application/pgp-signature (7bit)>]
> No public key for 9AF46B3025771B31 created at 2019-01-10T13:08:47+0000 using RSA